Debian Bug report logs - #693137
ITP: swift-plugin-s3 -- swift3 (S3 compatibility) middleware plugin for swift

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Tue, 13 Nov 2012 14:00:01 UTC

Owned by: pkg-xen-devel@lists.alioth.debian.org

Severity: wishlist

Fixed in version swift-plugin-s3/1.7-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, openstack-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#693137; Package wnpp. (Tue, 13 Nov 2012 14:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, openstack-devel@lists.alioth.debian.org, wnpp@debian.org. (Tue, 13 Nov 2012 14:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: swift-plugin-s3 -- swift3 (S3 compatibility) middleware plugin for swift
Date: Tue, 13 Nov 2012 21:57:23 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : swift-plugin-s3
  Version         : 0.0.20121030
  Upstream Author : FUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>
* URL             : https://github.com/fujita/swift3
* License         : Apache-2
  Programming Lang: Python
  Description     : swift3 (S3 compatibility) middleware plugin for swift

 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Swift3 Middleware plugin for OpenStack Swift,
 allowing access to OpenStack swift via the Amazon S3 API.

Note that this was previously (eg: in Swift for Wheezy) included directly in
swift, but now this is a separated source code.



Owner changed from Thomas Goirand <zigo@debian.org> to pkg-xen-devel@lists.alioth.debian.org. Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Tue, 13 Nov 2012 14:12:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 02 Feb 2013 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sat, 06 Apr 2013 13:03:12 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Sat, 06 Apr 2013 13:03:12 GMT) Full text and rfc822 format available.

Message #14 received at 693137-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 693137-close@bugs.debian.org
Subject: Bug#693137: fixed in swift-plugin-s3 1.7-1
Date: Sat, 06 Apr 2013 13:00:07 +0000
Source: swift-plugin-s3
Source-Version: 1.7-1

We believe that the bug you reported is fixed in the latest version of
swift-plugin-s3, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693137@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated swift-plugin-s3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 Nov 2012 14:05:57 +0000
Source: swift-plugin-s3
Binary: swift-plugin-s3
Architecture: source all
Version: 1.7-1
Distribution: experimental
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 swift-plugin-s3 - swift3 (S3 compatibility) middleware plugin for swift
Closes: 693137
Changes: 
 swift-plugin-s3 (1.7-1) experimental; urgency=low
 .
   * Initial release (Closes: #693137).
Checksums-Sha1: 
 f508e8f87733faad83330ec180579105f0603852 1592 swift-plugin-s3_1.7-1.dsc
 057aa347136fd027400994ecc37a44f981edcd01 17472 swift-plugin-s3_1.7.orig.tar.xz
 fa73434fe8b5eec6f5af0ebf2b870010a8313719 2481 swift-plugin-s3_1.7-1.debian.tar.gz
 88e034de12015e9566fddd632f95df28837ab98e 10912 swift-plugin-s3_1.7-1_all.deb
Checksums-Sha256: 
 7b1412cc8428094d54cd8fd75c26db3a1fa0554beb1545a177942cce1645c476 1592 swift-plugin-s3_1.7-1.dsc
 2754129cd3f01e79203b89472ecb4ba7b3cf3c27ade49c30c60675b647dcbd14 17472 swift-plugin-s3_1.7.orig.tar.xz
 ffe28bd1da0eeaa65a4746bb96fd314298fa77c42561cc5ea8df04bd457bea33 2481 swift-plugin-s3_1.7-1.debian.tar.gz
 a735faa2cff4acf380cecff981e27ab2e0b54acdabbb6f0d93c92d4e2f922107 10912 swift-plugin-s3_1.7-1_all.deb
Files: 
 cac018bcbca545195f37f439a505092b 1592 python extra swift-plugin-s3_1.7-1.dsc
 5e2602b1568218304a5f146774acea15 17472 python extra swift-plugin-s3_1.7.orig.tar.xz
 0a902baa7a47db9b0d18c01deb2e054a 2481 python extra swift-plugin-s3_1.7-1.debian.tar.gz
 583866fff0add0a9a7e1f4118980eec3 10912 python extra swift-plugin-s3_1.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlENS3sACgkQl4M9yZjvmkl9PACfYa/TjphPv1VVv6rDLWiaSrjM
dLYAmwTLgf6Cm3B6/YhrK6512YmsP685
=s7HI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:41:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:54:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.